Bug 198639 - Make login processes initialise session keyring
Make login processes initialise session keyring
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
6
All Linux
high Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: 198623
  Show dependency treegraph
 
Reported: 2006-07-12 09:33 EDT by David Howells
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.97-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-18 06:25:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to split su/runuser -l PAM scripts and add keyinit instructions (4.74 KB, patch)
2006-07-13 07:37 EDT, David Howells
no flags Details | Diff

  None (edit)
Description David Howells 2006-07-12 09:33:41 EDT
+++ This bug was initially created as a clone of Bug #198623 +++

This package contains the "su" program for which the PAM script needs to be 
modified.  The "su" program also needs its PAM script duplicating so that 
there's a separate script for "su - [user]" mode.

WHAT NEEDS TO BE DONE
=====================
The PAM scripts for the login programs need to be altered to forcibly create a 
new session keyring when a login event occurs.

These simply require the following line adding to their PAM scripts:

	session	    optional    pam_keyinit.so    force revoke

This forces them to create a new session keyring during login, replacing the
one inherited from their parent, and causes the session keyring so created to
be revoked when the login process exits.

Ideally, this should be "required" not "optional", but it still has to work if 
the pam_keyinit.so library is absent.

The authlogin program needs modifying to add:

	session	    optional    pam_keyinit.so    revoke

To the default session (system-auth).  This just creates a new session keyring 
if one doesn't yet exist for this process.

The "su" program needs to split its "su - [user]" mode PAM script from its "su 
[user]" PAM script, so that the former can forcibly create a keyring whilst 
the latter doesn't.
Comment 1 David Howells 2006-07-13 07:37:45 EDT
Created attachment 132363 [details]
Patch to split su/runuser -l PAM scripts and add keyinit instructions

This patch modifies the devel/ directory contents (spec file, PAM scripts and
adds a code patch) to split the su/runuser -l PAM scripts from the normal
su/runuser PAM scripts.  It also adds keyinit instructions to those PAM scripts
as needed.
Comment 2 Tim Waugh 2006-07-13 07:59:56 EDT
Applied in CVS.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.